description: Direct connection to RSPrimary with wrong set name
uri: mongodb://a/?directConnection=true&replicaSet=rs
phases:
- responses:
  - - a:27017
    - ok: 1
      helloOk: true
      isWritablePrimary: true
      hosts:
      - a:27017
      - b:27017
      setName: wrong
      minWireVersion: 0
      maxWireVersion: 6
  outcome:
    servers:
      a:27017:
        type: Unknown
    topologyType: Single
    logicalSessionTimeoutMinutes: 
    setName: rs
- responses:
  - - a:27017
    - ok: 1
      helloOk: true
      isWritablePrimary: true
      hosts:
      - a:27017
      - b:27017
      setName: rs
      minWireVersion: 0
      maxWireVersion: 6
  outcome:
    servers:
      a:27017:
        type: RSPrimary
        setName: rs
    topologyType: Single
    logicalSessionTimeoutMinutes: 
    setName: rs
